---
id: world-of-tomorrow
name: World-of-Tomorrow
description: "World-of-Tomorrow is a GERMAN Private tracker"
language: de-DE
type: private
encoding: UTF-8
links:
  - https://w-o-t.pro/
legacylinks:
  - https://world-of-tomorrow.eu/
  - https://wotreworked.xyz/

caps:
  categorymappings:
    - {id: 1107, cat: PC/Mac, desc: "Apps: MAC"}
    - {id: 1018, cat: PC, desc: "Apps: Sonstige"}
    - {id: 1028, cat: PC/0day, desc: "Apps: Windows"}
    - {id: 1036, cat: Audio/Audiobook, desc: "Audio: Hörbücher"}
    - {id: 1072, cat: Audio, desc: "Audio: Musik-Packs"}
    - {id: 1093, cat: Audio/Video, desc: "Audio: Musik-Videos"}
    - {id: 1070, cat: Audio/Lossless, desc: "Audio: Musik/Flac"}
    - {id: 1014, cat: Audio/MP3, desc: "Audio: Musik/MP3"}
    - {id: 1071, cat: Audio, desc: "Audio: Soundtracks"}
    - {id: 1110, cat: Audio, desc: "Audio: WOTT"}
    - {id: 1049, cat: Movies/HD, desc: "Filme: 1080p"}
    - {id: 1090, cat: Movies/3D, desc: "Filme: 3D"}
    - {id: 1048, cat: Movies/HD, desc: "Filme: 720p"}
    - {id: 1087, cat: TV/Anime, desc: "Filme: Anime"}
    - {id: 1047, cat: Movies/BluRay, desc: "Filme: Bluray"}
    - {id: 1011, cat: Movies/DVD, desc: "Filme: DVD / HD2DVD"}
    - {id: 1060, cat: Movies/HD, desc: "Filme: HDTV"}
    - {id: 1091, cat: Movies, desc: "Filme: Packs"}
    - {id: 1062, cat: Movies/SD, desc: "Filme: SD"}
    - {id: 1089, cat: Movies/UHD, desc: "Filme: UHD"}
    - {id: 1108, cat: TV, desc: "Filme: WOTT"}
    - {id: 1108, cat: Movies, desc: "Filme: WOTT"}
    - {id: 1079, cat: TV/HD, desc: "Serien: 1080P"}
    - {id: 1095, cat: TV/UHD, desc: "Serien: 2160P"}
    - {id: 1078, cat: TV/HD, desc: "Serien: 720P"}
    - {id: 1105, cat: TV/Anime, desc: "Serien: Anime"}
    - {id: 1100, cat: TV/HD, desc: "Serien: Packs HD"}
    - {id: 1016, cat: TV/SD, desc: "Serien: Packs-SD"}
    - {id: 1077, cat: TV/SD, desc: "Serien: SD"}
    - {id: 1109, cat: TV, desc: "Serien: WOTT"}
    - {id: 1064, cat: TV/Documentary, desc: "Sonstiges: Dokumentation"}
    - {id: 1019, cat: Books/EBook, desc: "Sonstiges: Ebooks"}
    - {id: 1111, cat: Books/EBook, desc: "Sonstiges: English Section"}
    - {id: 1101, cat: TV, desc: "Sonstiges: Kids"}
    - {id: 1096, cat: Other, desc: "Sonstiges: Sonstiges"}
    - {id: 1092, cat: Console, desc: "Sonstiges: Wimmelbild"}
    - {id: 1088, cat: XXX, desc: "Sonstiges: XXX"}
    - {id: 1106, cat: XXX/ImageSet, desc: "Sonstiges: XXX Bilder"}
    - {id: 1102, cat: XXX/Other, desc: "Sonstiges: XXX HENTAI"}
    - {id: 1005, cat: Console, desc: "Spiele: Konsolen"}
    - {id: 1004, cat: PC/Games, desc: "Spiele: Windows"}
    - {id: 1075, cat: TV/Sport, desc: "Sport: Formel 1"}
    - {id: 1074, cat: TV/Sport, desc: "Sport: Fussball"}
    - {id: 1073, cat: TV/Sport, desc: "Sport: Sport"}
    - {id: 1023, cat: TV/Sport, desc: "Sport: Wrestling"}

  modes:
    search: [q]
    tv-search: [q, season, ep]
    movie-search: [q]
    music-search: [q]
    book-search: [q]

settings:
  - name: username
    type: text
    label: Username
  - name: password
    type: password
    label: Password
  - name: pin
    type: text
    label: Pin
  - name: freeleech
    type: checkbox
    label: Search FreeLeech
    default: false
  - name: onlyupload
    type: checkbox
    label: Search OnlyUpload
    default: false
  - name: info_free
    type: info
    label: About Freeleech and OnlyUpload at World-of-Tomorrow
    default: "<ul><li>FreeLeech are torrents where neither the download or upload is counted.</li><li>OnlyUpload are torrents where download is not counted but upload is. Good for building your Ratio up.</li></ul>"
  - name: sortby
    type: select
    label: Sort requested from site
    default: added
    options:
      added: created
      seeders: seeders
      size: size
      name: title
  - name: typeby
    type: select
    label: Order requested from site
    default: DESC
    options:
      DESC: desc
      ASC: asc
  - name: info_activity
    type: info
    label: Account Inactivity
    default: "All accounts up to platinum users that are inactive for more than 8 weeks will be deleted!"

login:
  path: takelogin.php
  method: post
  inputs:
    username: "{{ .Config.username }}"
    password: "{{ .Config.password }}"
    pin: "{{ .Config.pin }}"
    remember: 1
  error:
    - selector: table.tableinborder:contains("Login fehlgeschlagen!")
    - selector: div#loginStatus
  test:
    path: index.php
    selector: a[href="logout.php"], title:contains("APRILSCHERZ")

search:
  paths:
    # POST https://w-o-t.pro/search_query.php
    # name=&categories[]=1107&maxAge=added&sortBy=added&sortByType=DESC&myTorrents=no&highlight=no&onlyupload=no&freeleech=no&offset=0&limit=10
    - path: search_query.php
      method: post

  inputs:
    name: "{{ .Keywords }}"
    $raw: "{{ range .Categories }}&categories[]={{.}}{{end}}"
    maxAge: added
    sortBy: "{{ .Config.sortby }}"
    sortByType: "{{ .Config.typeby }}"
    myTorrents: no
    highlight: no
    onlyupload: "{{ if .Config.onlyupload }}yes{{ else }}no{{ end }}"
    freeleech: "{{ if .Config.freeleech }}yes{{ else }}no{{ end }}"
    limit: 100

  rows:
    selector: div.container

  fields:
    categorydesc:
      selector: div.category
      attribute: data-content
      filters:
        - name: re_replace
          args: [" \\[.+?\\]", ""]
    title:
      selector: div.title a
    details:
      selector: div.title a
      attribute: href
    download:
      selector: a[href^="download.php?torrent="]
      attribute: href
    poster:
      selector: img
      attribute: src
    imdbid:
      selector: a[href*="imdb.com/title/tt"]
      attribute: href
    size:
      selector: span:has(i.fa-hdd)
    grabs:
      selector: span:has(i.fa-download)
    seeders:
      selector: span:has(i.fa-circle-chevron-up)
    leechers:
      selector: span:has(i.fa-circle-chevron-down)
    date:
      selector: span:has(i.fa-clock)
      filters:
        - name: re_replace
          args: ["(?i)(vor)", " ago"]
        - name: re_replace
          args: ["(?i)(sekunden|sekunde)", "seconds"]
        - name: re_replace
          args: ["(?i)(minuten|minute)", "minutes"]
        - name: re_replace
          args: ["(?i)(stunden|stunde)", "hours"]
        - name: re_replace
          args: ["(?i)(tagen|tag)", "days"]
        - name: re_replace
          args: ["(?i)(wochen|woche)", "weeks"]
        - name: re_replace
          args: ["(?i)(monaten|monat)", "months"]
        - name: re_replace
          args: ["(?i)(jahren|jahr)", " years"]
        - name: timeago
    downloadvolumefactor:
      case:
        div.status-button-onlyupload: 0 # only upload is counted
        "*": 1
    uploadvolumefactor:
      case:
        div.status-button-freeleech: 0 # nothing is counted
        "*": 1
    minimumratio:
      text: 0.7
    minimumseedtime:
      # 3 days (as seconds = 3 x 24 x 60 x 60)
      text: 259200
# WoT Reworked v8.3.7
